# coding: utf-8

from __future__ import absolute_import
from __future__ import unicode_literals

from m3_auth.fields import SimpleField


class BaseRemoteUser(object):

    """
    Базовый класс представляющий информацию о пользователе из стороннего 
    приложения.
    
    :param data: Словарь с информацие о пользователе.
    :type data: dict
    """

    user_id = SimpleField('user_id')

    def __init__(self, data):
        self.data = data

    def __repr__(self):
        return '<{} id="{}">'.format(
            type(self).__name__, self.user_id)
